> # NAME

> vp30 - OpenGL fragment profile for NV3x (GeForce FX, Quadro FX, etc.)

> # SYNOPSIS

>       vp30

> # DESCRIPTION

> This OpenGL profile corresponds to the per-vertex functionality introduced by the GeForce FX and Quadro FX line of NVIDIA GPUs.

> The compiler output for this profile conforms to the assembly format defined by NV_vertex_program2.

> Data-dependent loops and branching are allowed.

> Relative indexing of uniform arrays is supported; but texture accesses are not supported.

> # 3D API DEPENDENCIES

> Requires OpenGL support for the NV_vertex_program2 extension. These extensions were introduced by the GeForce FX and Quadro FX GPUs.

> # PROFILE OPTIONS

> None.

> # DATA TYPES

> to-be-written

> # SEMANTICS

> ## VARYING INPUT SEMANTICS

> to-be-written

> ## UNIFORM INPUT SEMANTICS

> to-be-written

> ## OUTPUT SEMANTICS

> to-be-written

> # STANDARD LIBRARY ISSUES

> to-be-written